Skip to main content
GET
/
clients
/
{id}
Get client
curl --request GET \
  --url https://api.gospott.com/clients/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "status": {
    "status": "lead",
    "viewType": "clientStatus"
  },
  "name": {
    "viewType": "clientName",
    "name": "<string>",
    "avatarUrl": "<string>"
  },
  "description": {
    "viewType": "clientDescription",
    "description": "<string>"
  },
  "industry": {
    "industry": "Accessible Architecture and Design",
    "viewType": "clientIndustry"
  },
  "domain": {
    "viewType": "clientDomain",
    "domain": "<string>"
  },
  "linkedinUrl": {
    "viewType": "clientLinkedinUrl",
    "linkedinUrl": "<string>"
  },
  "size": {
    "size": "1 employee",
    "viewType": "clientSize"
  },
  "stage": {
    "viewType": "clientStage",
    "stage": {
      "id": "<string>",
      "order": 123,
      "name": "<string>",
      "colorHex": "<string>"
    }
  },
  "nextTaskDue": {
    "viewType": "clientNextTaskDue",
    "nextTaskDue": {
      "id": "<string>",
      "content": "<string>",
      "dueDate": "2023-11-07T05:31:56Z"
    }
  },
  "locations": {
    "viewType": "clientLocations",
    "locations": [
      {
        "type": "primary_home",
        "street1": "<string>",
        "street2": "<string>",
        "postalCode": "<string>",
        "city": "<string>",
        "region": "<string>",
        "state": "<string>",
        "country": "<string>",
        "rawCityCountry": "<string>",
        "latitude": 123,
        "longitude": 123,
        "formattedAddress": "<string>"
      }
    ]
  },
  "customAttributes": [
    {
      "value": {
        "viewType": "customText",
        "text": "Senior Software Engineer"
      },
      "attributeDefinitionId": "<string>",
      "label": "<string>",
      "aiFillOngoing": true,
      "aiOverridden": true,
      "isFilledByAI": true,
      "options": [
        "<string>"
      ]
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z",
  "funding": {
    "viewType": "clientFunding",
    "funding": {
      "round": 123,
      "lastFundingDate": "2023-11-07T05:31:56Z",
      "lastRoundType": "<string>",
      "lastRoundAmount": "<string>"
    }
  },
  "contacts": {
    "viewType": "clientContacts",
    "contacts": [
      {
        "id": "<string>",
        "candidateId": "<string>",
        "firstName": "<string>",
        "middleName": "<string>",
        "lastName": "<string>",
        "avatarUrl": "<string>",
        "emailAddresses": [
          {
            "purpose": "work",
            "emailAddress": "<string>",
            "isPrimary": true
          }
        ],
        "phoneNumbers": [
          {
            "purpose": "work",
            "phoneNumber": "<string>",
            "isPrimary": true
          }
        ],
        "role": "<string>",
        "department": "<string>",
        "startDate": "2023-11-07T05:31:56Z",
        "endDate": "2023-11-07T05:31:56Z",
        "active": true,
        "mainContact": {
          "userId": "<string>",
          "name": "<string>",
          "email": "<string>",
          "avatarUrl": "<string>",
          "deactivatedAt": "2023-11-07T05:31:56Z"
        },
        "stage": {
          "id": "<string>",
          "order": 123,
          "name": "<string>",
          "colorHex": "<string>"
        },
        "customAttributes": [
          {
            "value": {
              "viewType": "customText",
              "text": "Senior Software Engineer"
            },
            "attributeDefinitionId": "<string>",
            "label": "<string>",
            "aiFillOngoing": true,
            "aiOverridden": true,
            "isFilledByAI": true,
            "options": [
              "<string>"
            ]
          }
        ]
      }
    ]
  },
  "isGlobalCompany": true
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

id
string
required

Response

Successfully retrieved company details

id
string
required

Unique identifier for the client (company ID)

status
object
required

Client status

name
object
required

Client/company name and avatar

description
object
required

Company description

industry
object
required

Industry classification

domain
object
required

Company website domain

linkedinUrl
object
required

LinkedIn company page URL

size
object
required

Company size (e.g. employee count band)

stage
object
required

Pipeline stage for this client

nextTaskDue
object
required

Next task due for this client

locations
object
required

Company locations

customAttributes
object[]
required

Custom attribute values for this client

createdAt
string<date-time>
required

Timestamp when the client was created

modifiedAt
string<date-time>
required

Timestamp when the client was last modified

funding
object
required

Funding information for the company

contacts
object
required

Contacts (people) associated with this client

isGlobalCompany
boolean
required

Whether the company is marked as a global company